Bug 874795 - FAQ TOCs do no render in PDFs. You get double headings.
FAQ TOCs do no render in PDFs. You get double headings.
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
3.0
x86_64 Linux
medium Severity medium
: 3.1
: ---
Assigned To: Jeff Fearn
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-08 15:46 EST by Jared MORGAN
Modified: 2015-08-09 21:22 EDT (History)
5 users (show)

See Also:
Fixed In Version: 3.1.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-05 22:40:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jared MORGAN 2012-11-08 15:46:23 EST
Description of problem:

If you use FAQs in your document, they display great in HTML.

However, in PDF you get double headings. 


Version-Release number of selected component (if applicable):

Publican 3


How reproducible:

100%


Steps to Reproduce:
1. Download https://github.com/jaredmorgs/USB_BT_Joystick_Center/tree/master/tmp/en-US/html-single
2. View how FAQs are handled in HTML. Note the TOCs render beautifully.
3. Now download https://github.com/jaredmorgs/USB_BT_Joystick_Center/blob/master/tmp/en-US/pdf/USB_BT_Joystick_Center-6-USB_BT_Joystick_Center-en-US.pdf (View Raw)
4. Note how there are double headings where the TOCs should be for each FAQ block.
  
Actual results:

No FAQ TOCs renders in the PDF.

Expected results:

FAQ TOCs render in the PDF as they do in the HTML build.

Additional info:
Comment 1 Jared MORGAN 2012-11-08 15:54:38 EST
Additional info:

The PUG also has no TOC for it's FAQ section, yet it does in html (and looks great considering it is a rather long FAQ)

http://jfearn.fedorapeople.org/en-US/Publican/3.0/pdf/Users_Guide/Publican-3.0-Users_Guide-en-US.pdf
Comment 2 Ruediger Landmann 2012-11-08 17:45:27 EST
(In reply to comment #1)
 
> The PUG also has no TOC for it's FAQ section, yet it does in html (and looks
> great considering it is a rather long FAQ)

Yeah, so the difference is that your book has multiple <qandaset>s with individual titles, whereas the PUG has one large <qandaset> without a title. 

This is something we missed in QA leading up to the 3.0 release; proposing for 3.1

Thanks for the catch!
Comment 3 Jared MORGAN 2012-11-08 18:14:19 EST
To work around this, what I will do is to make a Main FAQ chapter like I have done, but put a <qandaset> without a title inside a <section> (with a title).

I will still have the benefit of a title for each Device or Controller, but without the double-title formatting.

When testing this bug, please use Git commit:

https://github.com/jaredmorgs/USB_BT_Joystick_Center/commit/43ba89d0705effc5917777703f9bcbce1c8766cf
Comment 4 Jeff Fearn 2013-01-14 23:29:59 EST
As discussed with rudi, disabled all DocBook generated TOCs in PDF.

This fix has been committed to the devel branch for inclusion in Publican 3.1.
Comment 5 xuezhi ma 2013-01-31 23:49:50 EST
Verify version: publican-3.1.0-0.el6eng.noarch  --> PASS

Verify steps:
1. Create a book with https://github.com/jaredmorgs/USB_BT_Joystick_Center/commit/43ba89d0705effc5917777703f9bcbce1c8766cf

2. Build the book with PDF format.
3. Check TOCs in FQA chapters.

Actual result:
There is no TOCs in PDF document, they are disabled.

Note You need to log in before you can comment on or make changes to this bug.